Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18655

Description

In 2.2 the Angle setting on line pattern fills (one of the Symbol layer types) works fine up to 90 degrees. Over 90 degrees it starts going the

other way, i.e. 91 degrees actually draws as 89 degrees, 135 degrees draws as 45 degrees, etc.

Angles greater than 90 degrees work fine in 2.0.1.

My example use is when creating a custom cross-hatch pattern for polygons.

In my particular instance I am using rule-based styling, but I don't think this is relevant to the issue.

History

#1 - 2014-05-08 06:52 AM - Giovanni Manghi

- Category set to Symbology

- Status changed from Open to Feedback

this should be fixed in master, please test and leave feedback, thanks

#9713

#2 - 2014-05-08 07:00 AM - Christopher Wesson

As in report #9713:

Thanks Giovanni but I cannot test master. We are now all working on managed versions of Windows here :(

But I assume a fix in master means the Windows packaged version of 2.3 when it arrives should therefore no longer have this bug? It seems that many of

us users are now using the software in this manner.

#3 - 2014-05-08 07:02 AM - Giovanni Manghi

Christopher Wesson wrote:

As in report #9713:

Thanks Giovanni but I cannot test master. We are now all working on managed versions of Windows here :(

But I assume a fix in master means the Windows packaged version of 2.3 when it arrives should therefore no longer have this bug? It seems that
many of us users are now using the software in this manner.

yes, if the bug is fixed in master then the next qgis release (2.4, due this summer) will be ok.

#4 - 2014-05-08 07:46 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Please reopen if you find that #9713 does not solves the issue.

#5 - 2014-05-22 07:19 AM - Rhenriques Henriques

- Status changed from Closed to Reopened

- Target version set to Version 2.2

This is a particular annoying bug and it's not solved yet. Any luck for a patch in the stable version?

#6 - 2014-05-24 08:43 AM - Giovanni Manghi

- Resolution changed from invalid to fixed/implemented

- Status changed from Reopened to Closed

Rhenriques Henriques wrote:

This is a particular annoying bug and it's not solved yet. Any luck for a patch in the stable version?

this has been fixed in qgis master, the next qgis 2.4 due in a month.
